Create a new workspace. Requires an active subscription.
curl --request POST \
--url https://app.mavera.io/api/v1/workspaces \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"type": "user",
"image": "<string>",
"budget_alert": 123,
"usage_limit": 123,
"billing_email": "jsmith@example.com"
}
'{
"id": "<string>",
"object": "workspace",
"name": "<string>",
"image": "<string>",
"type": "enterprise",
"role": "owner",
"is_owner": true,
"member_count": 123,
"project_count": 123,
"thread_count": 123,
"budget_alert": 123,
"usage_limit": 123,
"billing_email": "<string>",
"members": [
{
"object": "workspace.member",
"user_id": "<string>",
"email": "jsmith@example.com",
"role": "owner",
"status": "active",
"joined_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://docs.mavera.io/llms.txt
Use this file to discover all available pages before exploring further.
API key prefixed with mvra_live_. Create keys at Settings > Developer > API Keys.
Workspace name
1 - 100Workspace type
enterprise, marketing_agency, user, starter Workspace image URL
Credit usage alert threshold
Credit usage limit
Email for billing notifications
Workspace created successfully
Unique workspace identifier
workspace Workspace name
Workspace image URL
Type of workspace
enterprise, marketing_agency, user, starter Your role in this workspace
owner, manager, analyst, viewer, editor, creative_specialist, client_viewer, department_admin Whether you are the owner
Total members including owner
Number of projects
Number of threads/conversations
Credit usage alert threshold
Credit usage limit
Email for billing notifications
List of members (when include_members=true)
Show child attributes
curl --request POST \
--url https://app.mavera.io/api/v1/workspaces \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"type": "user",
"image": "<string>",
"budget_alert": 123,
"usage_limit": 123,
"billing_email": "jsmith@example.com"
}
'{
"id": "<string>",
"object": "workspace",
"name": "<string>",
"image": "<string>",
"type": "enterprise",
"role": "owner",
"is_owner": true,
"member_count": 123,
"project_count": 123,
"thread_count": 123,
"budget_alert": 123,
"usage_limit": 123,
"billing_email": "<string>",
"members": [
{
"object": "workspace.member",
"user_id": "<string>",
"email": "jsmith@example.com",
"role": "owner",
"status": "active",
"joined_at": "2023-11-07T05:31:56Z"
}
],
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}